xmonad-contrib-0.15: Third party extensions for xmonad

Copyright | (c) Jan Vornberger 2009 Alejandro Serrano 2010
License | BSD3-style (see LICENSE)
Maintainer | jan.vornberger@informatik.uni-oldenburg.de
Stability | unstable
Portability | not portable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.Minimize

Contents

- Usage

Description

Makes it possible to minimize windows, temporarily removing them from the layout until they are restored.

Synopsis

- minimize :: l Window -> ModifiedLayout Minimize l Window

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.Minimize

Then edit your `layoutHook` by adding the Minimize layout modifier:

    myLayout = minimize (Tall 1 (3/100) (1/2)) ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

The module is designed to work together with XMonad.Layout.BoringWindows so that minimized windows will be skipped over when switching the focused window with the keyboard. Include `boringWindows` in your layout hook and see the documentation of XMonad.Layout.BoringWindows on how to modify your keybindings.

See XMonad.Actions.Minimize for possible actions for minimizing/restoring windows

Also see XMonad.Hooks.Minimize if you want to be able to minimize and restore windows from your taskbar.

minimize :: l Window -> ModifiedLayout Minimize l Window #